# SubscriptionStatus

## Enumeration Members

### Activated

```ts
Activated: "ACTIVATED";
```

The subscription has completed signup process and has been activated. Active subscription.

***

### CancellationInProgress

```ts
CancellationInProgress: "CANCELLATION_IN_PROGRESS";
```

The subscription started but has not completed. cancellation process yet (only for projects with two-step cancellation feature enabled).

***

### Cancelled

```ts
Cancelled: "CANCELLED";
```

The subscription has been cancelled.

***

### ~~CustomerUnsubscribed~~

```ts
CustomerUnsubscribed: "CUSTOMER_UNSUBSCRIBED";
```

Deprecated.

#### Deprecated

Replaced with CANCELLED and CANCELLATION\_IN\_PROGRESS statuses.

***

### Draft

```ts
Draft: "DRAFT";
```

The subscription (or a cart) created on checkout that has not completed signup process.

***

### Inactive

```ts
Inactive: "INACTIVE";
```

The subscription has completed signup process by has not yet been activated (for manual activation strategy).

***

### OneTimePurchase

```ts
OneTimePurchase: "ONE_TIME_PURCHASE";
```

This status can be assigned to customers that do a one-time purchase.

***

### Paused

```ts
Paused: "PAUSED";
```

The subscription has been paused.

***

### PendingCancellation

```ts
PendingCancellation: "PENDING_CANCELLATION";
```

The subscription is marked to be automatically cancelled on the next billing moment after the prepaid commitment ends.

***

### PendingCustomerCompletion

```ts
PendingCustomerCompletion: "PENDING_CUSTOMER_COMPLETION";
```

The subscription completed first step of two step signup process.

***

### PendingInitialPayment

```ts
PendingInitialPayment: "PENDING_INITIAL_PAYMENT";
```

This subscription is currently in the process of completing the initial payment.

***

### Rejected

```ts
Rejected: "REJECTED";
```

The subscription has been rejected (for manual activation strategy).

***

### Stopped

```ts
Stopped: "STOPPED";
```

The subscription was automatically stopped because the maximum plan commitment was reached


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/sdks/firmhouse-sdk/reference/enumerations/subscription-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
